name: linuxserver-flexget
services:
  app:
    image: linuxserver/flexget:3.18.47
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      FG_LOG_LEVEL: ''
      FG_LOG_FILE: ''
      FG_CONFIG_FILE: ''
      FG_WEBUI_PASSWORD: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: FG_LOG_LEVEL
          description:
            en_us: Set the FlexGet logging level.
        - container: FG_LOG_FILE
          description:
            en_us: Set the FlexGet log file location.
        - container: FG_CONFIG_FILE
          description:
            en_us: Set the FlexGet config file location.
        - container: FG_WEBUI_PASSWORD
          description:
            en_us: Set the FlexGet webui password. Pay attention to Bash/YAML reserved characters. [OPTIONAL]
    ports:
      - target: 5050
        published: 5050
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/flexget/config
        target: /config
      - type: bind
        source: /srv/lsio/flexget/data
        target: /data
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: Flexget is a multipurpose automation tool for all of your media.
  tagline:
    en_us: A multipurpose automation tool for all of your media.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/flexget-banner.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/flexget-banner.png
  title:
    en_us: Flexget
  category: LinuxServer.io
